import { IPFS } from 'ipfs-core-types';
declare function read(ipfs: IPFS, cid: any, options?: {
    timeout?: number;
    links?: string[];
}): Promise<any>;
declare function write(ipfs: IPFS, format: string, value: any, options?: {
    base?: any;
    pin?: boolean;
    timeout?: number;
    format?: string;
    links?: string[];
}): Promise<string>;
declare const _default: {
    read: typeof read;
    write: typeof write;
};
export default _default;
